function [] = loadSoundSourceFile(~, ~)
%LOADSOUNDSOURCEFILE Creates a file selection dialog and reads the file into memory.

global artoaDataInput artoaWorkspace artoaConfig;

%% Initialize variables
artoaDataInput.soundsources = false;

%% Get required variables
folder = artoa.data.getMember(artoaConfig, {'directory', 'soundsource'}, pwd());
filter = artoa.data.getMember(artoaConfig, {'filemask', 'soundsource'}, '*.soso');

%% Create file dialog and filename
[file, path] = uigetfile(fullfile(folder, filter));
filepath = fullfile(path, file);

%% Check if dialog has been aborted
if file == 0
    return;
end

%% Check if file exists
if ~isfile(filepath)
    error([mfilename ': Selected file ' filepath ' is not a file! Please try again!']);
end

%% Load file into memory
artoaDataInput.soundsources = artoa.load.soundsources(filepath);

%% GET SOUNDSOURCES THAT ARE ALIVE DURING THE FLOAT MISSION
if isfield(artoaDataInput, 'rfb')
    artoaWorkspace.filteredSoundsources = artoa.soundsources.filter( ...
        artoaDataInput.soundsources, min(artoaWorkspace.rafosDate), max(artoaWorkspace.rafosDate) ...
    );
else % no rfb file loaded, so all are valid
    artoaWorkspace.filteredSoundsources = artoaDataInput.soundsources;
end

end

