%% Add variable backward tracking to the tracking parameter panel
if artoa.data.hasMember(artoaWorkspace, 'trackParameter', 'soundsourceCombinations') ...
        & ~any(strcmp(artoaWorkspace.trackParameter.soundsourceCombinations.Properties.VariableNames, 'backwardTracking'))

    artoaWorkspace.trackParameter.soundsourceCombinations = ...
        addvars( ...
            artoaWorkspace.trackParameter.soundsourceCombinations, ...
            addBackwardTracking4259(length(artoaWorkspace.trackParameter.soundsourceCombinations.combinationBegin)), ...
            'After', length(artoaWorkspace.trackParameter.soundsourceCombinations.Properties.VariableNames)...
            );
	artoaWorkspace.trackParameter.soundsourceCombinations.Properties.VariableNames{end} = 'backwardTracking';
end

%% Remove old backward tracking variable
if artoa.data.hasMember(artoaWorkspace, 'trackParameter', 'enableBackwardTracking')
    artoaWorkspace.trackParameter = rmfield(artoaWorkspace.trackParameter, 'enableBackwardTracking');
end

%% Helper functions

function backwardTracking = addBackwardTracking4259(pLength)
    backwardTracking = false(pLength, 1);
    
end